# $Revision: 1.24 $, $Date: 2009/11/12 09:33:26 $
Summary:	X Render extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Render
Name:		xorg-lib-libXrender
Version:	0.9.5
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXrender-%{version}.tar.bz2
# Source0-md5:	276dd9e85daf0680616cd9f132b354c9
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-renderproto-devel >= 0.9
BuildRequires:	xorg-util-util-macros >= 1.3
Obsoletes:	XFree86-render
Obsoletes:	libXrender
Obsoletes:	xrender
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Render extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Render.

%package devel
Summary:	Header files for libXrender library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXrender
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-proto-renderproto-devel >= 0.9
Obsoletes:	XFree86-render-devel
Obsoletes:	libXrender-devel
Obsoletes:	xrender-devel

%description devel
X Render extension library.

This package contains the header files needed to develop programs that
use libXrender.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Render.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXrender.

%package static
Summary:	Static libXrender library
Summary(pl.UTF-8):	Biblioteka statyczna libXrender
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	XFree86-render-static
Obsoletes:	libXrender-static
Obsoletes:	xrender-static

%description static
X Render extension library.

This package contains the static libXrender library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Render.

Pakiet zawiera statyczną bibliotekę libXrender.

%prep
%setup -q -n libXrender-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README doc/libXrender.txt
%attr(755,root,root) %{_libdir}/libXrender.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXrender.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXrender.so
%{_libdir}/libXrender.la
%{_includedir}/X11/extensions/*.h
%{_pkgconfigdir}/xrender.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXrender.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXrender.spec,v $
Revision 1.24  2009/11/12 09:33:26  patrys
- rebuild with new libpthread-stubs
- rel 2

Revision 1.23  2009/10/04 22:37:21  qboosh
- updated util-macros version
- ghost soname symlink
- added README and libXrender.txt to doc

Revision 1.22  2009/10/02 06:46:47  arekm
- up to 0.9.5

Revision 1.21  2008/11/05 23:28:46  arekm
- release 2

Revision 1.20  2007/09/05 16:44:42  qboosh
- updated to 0.9.4

Revision 1.19  2007/08/20 19:53:22  arekm
- up to 0.9.3

Revision 1.18  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.16  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.15  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.14  2006/10/14 15:50:53  qboosh
- updated to 0.9.2

Revision 1.13  2006/04/27 07:07:50  arekm
- up to 0.9.1

Revision 1.12  2006/03/08 22:10:07  qboosh
- release 1

Revision 1.11  2005/12/28 14:15:29  qboosh
- sources from X11R7.0 release

Revision 1.10  2005/12/20 13:31:22  qboosh
- 0.9.0.2 (X11R7.0-RC4)

Revision 1.9  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.8  2005/12/04 12:01:00  qboosh
- 0.9.0.1 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 18:27:12  qboosh
- switched to 0.9.0 from X11R7.0-RC1
- more docs, added version to renderproto deps

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.12  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.11  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.10  2005/02/15 01:51:16  zergin
- added ac patch
- rel++ (4 to 5)

Revision 1.9  2004/05/22 22:31:18  qboosh
- unifications, removed empty files from doc
- provide equal xrender* version, added version to renderext deps

Revision 1.8  2004/03/12 08:01:07  ankry
- pl

Revision 1.7  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.6  2004/03/09 16:10:13  pluto
- R:, release 4.

Revision 1.5  2004/03/06 14:23:07  pluto
- R:, release 3.

Revision 1.4  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.3  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.2  2004/03/02 21:50:33  adgor
- Fixed Provides/Obsoletes

Revision 1.1  2004/03/02 21:31:24  adgor
- Initial
- Obsoletes xrender
